Summary:	Graphical interface for creating flam3 fractal images
Name:		qosmic
Version:	1.6.0
Release:	%mkrel 10
License:	GPLv2
Group:		Graphics/Editors and Converters
Url:		https://github.com/bitsed/qosmic
Source0:	https://github.com/bitsed/qosmic/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		qosmic-1.6.0-flam3.patch
Patch2:		qosmic-1.6.0-fix-build-against-qt-5.11.0.patch
Patch3:		qosmic-1.6.0-qt-translations.patch
Patch4:		qosmic-1.6.0-lua5.3.patch
Patch5:		qosmic-1.6.0-lua5.4.patch
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(flam3)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Widgets)
# The code assumes qreal == double while it's float on arm
# This can be fixed in many places, but not easily as flam3
# API is all about doubles.
ExcludeArch:	%arm
Recommends:     qttranslations5

%description
Qosmic is graphical interface for creating, editing, and rendering
flam3 fractal images. The electricsheep screen saver has been gaining
popularity, and Qosmic was developed to provide a Qt interface for
people interested in creating and contributing sheep.

%prep
%autosetup -p1

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README* changes.txt
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}icon.xpm
%{_datadir}/%{name}/scripts


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 1.6.0-10.mga9
+ Revision: 1842380
- Mageia 9 Mass Rebuild

* Fri Apr 02 2021 wally <wally> 1.6.0-9.mga9
+ Revision: 1712828
- rebuild for lua 5.4

* Tue Mar 30 2021 wally <wally> 1.6.0-8.mga9
+ Revision: 1711931
- build with lua 5.3

* Thu Dec 17 2020 umeabot <umeabot> 1.6.0-7.mga8
+ Revision: 1659545
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.6.0-6.mga8
+ Revision: 1525032
- Mageia 8 Mass Rebuild

* Tue Apr 02 2019 alexl <alexl> 1.6.0-5.mga7
+ Revision: 1384806
- fix qt translations
- do not inslall qm files, they are resources now
- do not install scripts twice

* Mon Apr 01 2019 umeabot <umeabot> 1.6.0-4.mga7
+ Revision: 1384248
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.6.0-3.mga7
+ Revision: 1300665
- Mageia 7 Mass Rebuild

* Sat Jun 02 2018 daviddavid <daviddavid> 1.6.0-2.mga7
+ Revision: 1233566
- add patch to fix build with new Qt5 >= 5.11.0 stack
- use upstream desktop file and upstream lang files

* Thu Apr 19 2018 kekepower <kekepower> 1.6.0-1.mga7
+ Revision: 1220077
- Update to version 1.6.0
- Add patch to find flam3
- Remove old patches

* Thu Feb 02 2017 pterjan <pterjan> 1.5.0-10.mga6
+ Revision: 1084592
- Disable build on ARM

* Fri Feb 19 2016 daviddavid <daviddavid> 1.5.0-9.mga6
+ Revision: 969578
- add patch3 to try to fix build on ARM

* Fri Feb 19 2016 umeabot <umeabot> 1.5.0-8.mga6
+ Revision: 968829
- Mageia 6 Mass Rebuild

* Mon Jul 20 2015 alexl <alexl> 1.5.0-7.mga6
+ Revision: 855632
- fix a problem detecting and loading translations (detect-load-i18n.patch from upstream)

* Mon Jul 20 2015 alexl <alexl> 1.5.0-6.mga6
+ Revision: 855628
- add Czech translation (thanks to Pavel Fric)

* Wed Jul 01 2015 alexl <alexl> 1.5.0-5.mga6
+ Revision: 849362
- rebuild for flam3

* Sun Oct 19 2014 alexl <alexl> 1.5.0-4.mga5
+ Revision: 791630
- updated desktop file
- fixed i18n (add-i18n.patch)
- added Russian translation
- used makeinstall macros instead of manual installation
- installed scripts in doc dir

* Wed Oct 15 2014 umeabot <umeabot> 1.5.0-3.mga5
+ Revision: 743911
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.0-2.mga5
+ Revision: 688502
- Mageia 5 Mass Rebuild

* Mon Apr 14 2014 alexl <alexl> 1.5.0-1.mga5
+ Revision: 614038
- imported package qosmic

